%define name wv
%define version 0.5.44
%define real_version 0.5.44
%define release 3mdk
%define serial 1

Summary: MSWord 6/7/8/9 binary file format -> HTML converter
Name: %{name}
Version: %{version}
Release: %{release}
Serial: %{serial}
Copyright: GPL
Group: Office
URL: http://www.wvWare.com/
Source: http://www.csn.ul.ie/~caolan/publink/mswordview/development/%{name}-%{real_version}.tar.bz2
Patch0: wv-0.5.44-configure.patch.bz2
Patch1: wv-0.5.44-configure2.patch.bz2
BuildRequires: freetype freetype-devel libpng libpng-devel XFree86-devel xpm-devel zlib-devel 
BuildRequires: libwmf zlib zlib-devel ImageMagick ImageMagick-devel
BuildRoot: %{_tmppath}/%{name}-buildroot
Obsoletes: mswordview 

%package devel
Summary: MSWord 6/7/8/9 binary file format -> HTML converter (development)
Group: Development/C

%description
Wv is a program that understands the Microsoft Word 6/7/8/9
binary file format and is able to convert Word
documents into HTML, which can then be read with a browser.

%description devel
Wv is a program that understands the Microsoft Word 6/7/8/9
binary file format and is able to convert Word
documents into HTML, which can then be read with a browser.

This is the development package.

%prep
%setup -q -n %{name}
%patch0 -p0 -b configin
%patch1 -p0 -b config

%build
CFLAGS="$RPM_OPT_FLAGS" %configure --with-Magick=/usr/X11R6/include/X11/magick --with-ttf=/usr/include/freetype --with-wmf=/usr --prefix=/usr
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# uggly fix for symlink /usr/bin/wvText to wvConvert.
ln -sf wvConvert $RPM_BUILD_ROOT/%{_bindir}/wvText
# the following file seems not to be used by any wv executable.
#cp $RPM_BUILD_DIR/%{name}/config-mswordview $RPM_BUILD_ROOT/usr/lib/mswordview
rm -f notes/decompress/a.out

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING CREDITS README KNOWN-BUGS
%attr(755,root,root)      /usr/bin/wvSummary
%attr(755,root,root)      /usr/bin/wvSimpleCLX
%attr(755,root,root)      /usr/bin/wvVersion
%attr(755,root,root)      /usr/bin/wvConvert
%attr(755,root,root)      /usr/bin/wvText
%attr(755,root,root)      /usr/bin/wvHtml
%attr(755,root,root) %dir /usr/lib/wv
%attr(644,root,root)      /usr/lib/wv/wvConfig.xml
%attr(644,root,root)      /usr/lib/wv/wvHtml.xml
%attr(755,root,root) %dir /usr/lib/wv/patterns
%attr(644,root,root)      /usr/lib/wv/patterns/*
%attr(755,root,root) %dir /usr/lib/wv/wingdingfont
%attr(644,root,root)      /usr/lib/wv/wingdingfont/*
%attr(644,root,root)      %{_mandir}/man1/wvHtml.1.bz2

%files devel
%defattr(-,root,root)
%doc ABIWORD-SUGGESTIONS
%doc D_CREDITS D_README HACKING INSTALL TESTING
%doc TODO.TXT Documentation 
%doc examples feature-examples gateway helper-scripts notes
%attr(755,root,root)      /usr/bin/wv-libconfig
%attr(755,root,root)      /usr/bin/wv-incconfig
%attr(644,root,root)      /usr/include/wv.h
%attr(644,root,root)      /usr/lib/libwv.a

%changelog
* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5.44-3mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Franois Pons <fpons@mandrakesoft.com> 0.5.44-2mdk
- moved to main to replace old mswordview.
- spec file cleaning and macroszifications.
- split package with devel.
- removed unused /usr/lib/mswordview.

* Wed Jun 28 2000 Sean P. Kane <spkane@spkane.org> 0.5.44-1mdk
- Added configure patch
- Changed name from mswordview to wv
- Added Obsoletes line
- Updated Requires line
- Upgraded to 0.5.44

* Tue Jun 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.14bw6-3mdk
- added support to wmf (by compiling with libwmf installed)

* Fri Mar 31 2000 Franois Pons <fpons@mandrakesoft.com> 0.5.14bw6-2mdk
- updated Group.

* Thu Nov 04 1999 John Buswell <johnb@mandrakesoft.com>
- updated to mswordview-0.5.14-bw6
- added install of config-mswordview
- Build Release

* Fri Jul 30 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- updated to  mswordview-0.5.14-bw3

* Thu Jul 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix path problems.


* Wed Jul 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix compilations problem.
- 0.5.14-bw2

* Sat Apr 24 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Update to 5.8.
- Mandrake adaptations.

* Tue Dec 29 1998 Ryan Weaver <ryanw@infohwy.com>
  [mswordview-0.5.2-1]
- Updated to MSWordView-0.5.2
- Changes up to 0.5.2
  * implemented auto text color colour check for table cells, no more
    black on black, or black on blue. i must look closely at what other
    auto changes word makes.
  * some uber-simple greyscaling code when table look says no-color.
  * verified it works under AIX, made a few changes that showed up due
    to its stricter malloc, theres probably a few more malloc related
    issues hiding in there.
  * column breaks show up as well now.
  * the various types of section breaks are distinguisable from the
    others, and from page breaks.
  * a few changes to make sure formatting and tables get on better 
    together.
  * sequence field supported, i.e caption numbering, i just use the last
    fields that msword left in there.
  * changed hyperlinking so that it works with bookmarks that are in
    comments (annotations).
  * i now support multiple bookmarks that end on the same location.
  * multiple bookmarks that start on the same location should be supported,
    but no examples yet.
  * the comment author initials are extracted and used in the main document
    when referencing comments.
  * comments now end when they are supposed to, only the correct comments get
    included, should work for fastsave, not tested.
  * removed unused variables, sorted out a few other warnings, maybe itll
    squeak by the irix compiler now ?
  * names and initial info for comments is extracted as well, and stuck in a 
    table at the end of the document.
  * fixed the <a name= for comments, should work in fast saved.
  * custom graphics for annotations.
